# imagecrop

(PHP 5 >= 5.5.0, PHP 7)

imagecrop — Crop an image to the given rectangle

### Description

imagecrop ( resource `$image` , array `$rect` ) : resource

Crops an image to the given rectangular area and returns the resulting image. The given `image` is not modified.

### Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`rect`

  The cropping rectangle as array with keys x, y, width and height.

### Return Values

Return cropped image resource on success or `FALSE` on failure.

### Examples

Example #1 imagecrop() example

This example shows how to crop an image to a square area.

`<?php
$im = imagecreatefrompng('example.png');
$size = min(imagesx($im), imagesy($im));
$im2 = imagecrop($im, ['x' => 0, 'y' => 0, 'width' => $size, 'height' => $size]);
if ($im2 !== FALSE) {
imagepng($im2, 'example-cropped.png');
imagedestroy($im2);
}
imagedestroy($im);
?>`

### See Also

- imagecropauto() - Crop an image automatically using one of the available modes